Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1773376 - python-pyside fails to build with Python 3.8 on Fedora 32+
Summary: python-pyside fails to build with Python 3.8 on Fedora 32+
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pyside
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1716540
Blocks: F32FTBFS F32FailsToInstall PYTHON38
TreeView+ depends on / blocked
 
Reported: 2019-11-17 23:17 UTC by Miro Hrončok
Modified: 2019-12-03 10:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 09:36:46 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2019-11-17 23:17:46 UTC
python-pyside fails to build with Python 3.8.0b4 in Fedora 32.

See the build failures at https://koji.fedoraproject.org/koji/search?match=glob&type=package&terms=python-pyside

DEBUG util.py:593:  Error: 
DEBUG util.py:593:   Problem: package shiboken-python3-devel-1.2.4-14.fc31.x86_64 requires libshiboken.cpython-37m-x86_64-linux-gnu.so.1.2()(64bit), but none of the providers can be installed
DEBUG util.py:593:    - package shiboken-python3-devel-1.2.4-14.fc31.x86_64 requires shiboken-python3-libs(x86-64) = 1.2.4-14.fc31, but none of the providers can be installed
DEBUG util.py:593:    - conflicting requests
DEBUG util.py:593:    - nothing provides python(abi) = 3.7 needed by shiboken-python3-libs-1.2.4-14.fc31.x86_64

It is not important whether the problem is caused by this package or another, this issue is blocking the Python 3.8 rebuild of this package.
If this package won't build with 3.8, it won't be installable, along with all its dependent packages, in Fedora 32 and further.

Furthermore, as it fails to install, its dependent packages will fail to install and/or build as well.

Please rebuild the package in Fedora 32 (rawhide).

Let us know here if you have any questions. Thank You!

Comment 1 Miro Hrončok 2019-11-25 10:27:54 UTC
What is the plan here? Do we try to keep the package or retire it?

Comment 2 Felix Schwarz 2019-11-25 20:58:09 UTC
(I sent this text also by mail to the various "*-maintainers" aliases.)

I'd like to propose that we retire the python-pyside(v1) stack in Fedora
rawhide. The stack does not build anymore with Python 3.8:

- shiboken: bug 1716540
- python-pyside: bug 1773376

Also upstream moved to pyside2 several years ago and pyside2 is available in Fedora.

To me the case if pretty clear but of course if there is someone else who wants to spend time in getting the packages in shape again, I'd support keeping the stack.

=> If there are no objections I'll try to retire these packages in 7 days
   (in rawhide).

I would prefer explicit ACKs though.

Comment 3 Felix Schwarz 2019-11-27 11:21:10 UTC
current state:
+1 from Rex Dieter by private mail
+1 from Richard Shaw (https://bugzilla.redhat.com/show_bug.cgi?id=1716540#c17)

No feedback so far:
- Than Ngo (shiboken+pyside)
- Jaroslav Reznik (shiboken+pyside)
- Geert Jansen (pyside)

I'll wait a few more days (additional ACKs appreciated!).

Also I just noticed I don't have permissions for "generatorrunner" so I'll need a helping hand to retire that package.

Comment 4 Miro Hrončok 2019-11-27 11:23:47 UTC
I can help retiring generatorrunner.

Comment 5 Ben Cotton 2019-11-27 14:18:33 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Petr Viktorin (pviktori) 2019-11-27 14:26:21 UTC
But... this bug is for Rawhide o.ô

Comment 7 Jaroslav Reznik 2019-11-28 12:58:28 UTC
(In reply to Felix Schwarz from comment #3)
> current state:
> +1 from Rex Dieter by private mail
> +1 from Richard Shaw
> (https://bugzilla.redhat.com/show_bug.cgi?id=1716540#c17)
> 
> No feedback so far:
> - Than Ngo (shiboken+pyside)
> - Jaroslav Reznik (shiboken+pyside)

+1

> - Geert Jansen (pyside)
> 
> I'll wait a few more days (additional ACKs appreciated!).
> 
> Also I just noticed I don't have permissions for "generatorrunner" so I'll
> need a helping hand to retire that package.

Comment 8 Miro Hrončok 2019-11-29 11:46:36 UTC
> I'll wait a few more days 

Felix, could you please pick a date when this will happen? What about the Tuesday on 2019-12-03?

Comment 9 Felix Schwarz 2019-11-29 12:00:16 UTC
(In reply to Miro Hrončok from comment #8)
> Felix, could you please pick a date when this will happen? What about the
> Tuesday on 2019-12-03?

Tuesday it is.

Comment 10 Felix Schwarz 2019-12-03 09:36:46 UTC
package now retired in rawhide.

Miro: It would be nice if you (or someone else) could retire generatorrunner.


Note You need to log in before you can comment on or make changes to this bug.